import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/kazokuma/f9fc1812bd7c2297c2a7699ecb4f78ea/raw/e648623b15830af659a1333eebcc78ade01820d7/UN_Population_2019.csv';

export const useData = () => {
  const [data, setData] = useState(null);
  useEffect(() => {
    const row = (d) => {
      d.Population = parseFloat(d['2020'] * 1000);
      return d;
    };

    csv(csvUrl, row).then((data) => {
      setData(data.slice(0, 15));
    });
  }, []);
  
	return data;
};
