export const AxisBottom = ({ xScale, innerHeight, tickFormat }) => 
		xScale.ticks().map((tickValue) => (
      <g className="tick" key={tickValue} transform={`translate(${xScale(tickValue)}, 0)`}>
        <line y2={innerHeight} /> // x1=0, x2=0, y1=0 0 re default values and are eliminated
        <text style={{ textAnchor: 'middle' }} y={innerHeight + 3} dy="0.72em">
          {tickFormat(tickValue)}
        </text>
      </g>
    ));
